package apps;

import com.telelogic.rhapsody.core.IRPModelElement;

public class MBDGModelElement {
	public IRPModelElement element;
	public boolean isRoot;
	
	public MBDGModelElement(IRPModelElement element) {
		this.element = element;
	}

	public MBDGModelElement() {
		this.element = null;
		this.isRoot = false;
	}
	
	public String toString() {
		String name = (element != null ? element.getName() : "");
		String type = (element != null ? element.getUserDefinedMetaClass() : "");
		return name + " [ " + type +  " ]";
	}
}
